Loading...
Searching...
No Matches
osmium::io::DummyDecompressor Class Referencefinal

`#include <compression.hpp>`

Inheritance diagram for osmium::io::DummyDecompressor:
[legend]
Collaboration diagram for osmium::io::DummyDecompressor:
[legend]

## Public Member Functions

| DummyDecompressor ()=default
| DummyDecompressor (const DummyDecompressor &)=delete
DummyDecompressor & | operator= (const DummyDecompressor &)=delete
| DummyDecompressor (DummyDecompressor &&)=delete
DummyDecompressor & | operator= (DummyDecompressor &&)=delete
| ~DummyDecompressor () noexcept override=default
std::string | read () override
void | close () override
bool | is_real () const noexcept override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Additional Inherited Members

Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Detailed Description

The DummyDecompressor is used when reading PBF files. In that case the PBFParser class is responsible for reading from the file itself, and the DummyDecompressor does nothing.

## Constructor & Destructor Documentation

## DummyDecompressor() [1/3]

osmium::io::DummyDecompressor::DummyDecompressor | ( |  | ) |

default

## DummyDecompressor() [2/3]

osmium::io::DummyDecompressor::DummyDecompressor | ( | const DummyDecompressor & |  | ) |

delete

## DummyDecompressor() [3/3]

osmium::io::DummyDecompressor::DummyDecompressor | ( | DummyDecompressor && |  | ) |

delete

## ~DummyDecompressor()

osmium::io::DummyDecompressor::~DummyDecompressor | ( |  | ) |

overridedefaultnoexcept

## Member Function Documentation

## close()

void osmium::io::DummyDecompressor::close | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

## is_real()

bool osmium::io::DummyDecompressor::is_real | ( |  | ) | const

inlineoverridevirtualnoexcept

Reimplemented from osmium::io::Decompressor.

## operator=() [1/2]

DummyDecompressor & osmium::io::DummyDecompressor::operator= | ( | const DummyDecompressor & |  | ) |

delete

## operator=() [2/2]

DummyDecompressor & osmium::io::DummyDecompressor::operator= | ( | DummyDecompressor && |  | ) |

delete

## read()

std::string osmium::io::DummyDecompressor::read | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp